mlterm (3.4.5-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Replace libgtk2.0-dev with libgtk-3-dev in Build-Deps
  * Update symbols file.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 17 Mar 2015 13:06:18 +0200

mlterm (3.4.3-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 12 Feb 2015 09:30:16 +0200

mlterm (3.4.2-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 13 Jan 2015 19:34:56 +0200

mlterm (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: added git-buildpackage configuration to set debian branch
    to experimental.
  * Remove fix_rect_slct_always_on.diff patch that is applied in new upstream.
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 02 Nov 2014 10:59:27 +0200

mlterm (3.3.8-2) unstable; urgency=medium

  * Use autotools-dev to update config.{sub,guess} (Closes: #744631)
  * Add fix_rect_slct_always_on.diff patch to fix rectangle selection always ON
    (Closes: #760048)
  * debian/control:
    + Update email address.
    + Bumped Standards-Version to 3.9.6

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 18 Oct 2014 05:31:16 +0200

mlterm (3.3.8-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 23 Aug 2014 09:42:10 +0300

mlterm (3.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file
  * SO bumped libkik to 16

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 19 Aug 2014 11:45:36 +0300

mlterm (3.3.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Depend on fonts-nanum | fonts-baekmuk (fonts-nanum having
    higher precedence) for Korean language (Closes: #741879)
  * Refreshed disable_rpath.diff patch.
  * Updated symbols file.
  * Enable Flexible Input Method:
    + debian/control:
      - Add fcitx-libs-dev to Build-Deps
      - Added mlterm-im-fcitx binary package.
    + debian/rules: Pass --enable-fcitx option to configure.
    + Added mlterm-im-fcitx.install

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 02 Jun 2014 00:16:06 +0300

mlterm (3.3.2-1) unstable; urgency=low

  * New upstream release.
  * Please replace ttf-freefont by fonts-freefont-ttf in mlterm & mlterm-tiny
    Depends. (Closes: #738237, #738238)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 09 Feb 2014 10:10:12 +0200

mlterm (3.3.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh disabled_rpath.diff patch
  * debian/control: Bumped Standards-Version to 3.9.5
  * Updated symbols file
  * debian/mlterm-common.shlibs: SO bump for libkik

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 28 Oct 2013 20:47:31 +0200

mlterm (3.2.0-1) unstable; urgency=low

  * New upstream release.
    + Adds Sixel support (Closes: #691623)
  * Removed patches which got applied upstream: format-security.diff,
    implicit_declarations.diff and use_CPPFLAGS.diff
  * debian/mlterm.desktop:
    + Remove Applications from Categories key
    + Add System to Categories key
    + Remove extension from icon name.
    Thanks to Jekyll Wu <adaptee@gmail.com> (Closes: #678109)
  * Added debian/*.preinst to remove old package doc dir before installing
    respective package. (Closes: #685653, #688603, #688604, #688605, #688606)
  * Refreshed disable_rpath.diff patch
  * debian/control:
    + Bumped Standards-Version to 3.9.4
    + Use canonical URIs in VCS-* fields
  * debian/mlterm-common: Updated symbols file.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 30 May 2013 13:59:50 +0200

mlterm (3.1.2-1) unstable; urgency=low

  * New upstream release.
  * Remove distclean.diff & use_pkglibexecdir.diff patches, they got included
    upstream.
  * Added implicit_declarations.diff to add declarations for implicitly
    declared functions.
  * Added format-security.diff patch to fix possible string format security
    problems.
  * debian/*.lintian-overrides: Remove unused overrides.
  * debian/rules: Removed settings for CFLAGS & INSTALL_PROGRAM
  * Added use_CPPFLAGS.diff patch to use CPPFLAGS for compiling mlcc
  * debian/mlterm-tiny.install: Install the actual binary not the libtool
    wrapper script. (Closes: #675133)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 30 May 2012 11:13:02 +0200

mlterm (3.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Enable VT52 emulation.
    + Modified logic for building mlterm-tiny to cope with changes in
      upstream.
    + Simplified rules file.
  * Updated disable_rpath.diff patch
  * debian/control:
    + Updated Standards-Version to 3.9.3
    + Added Pre-Depends: ${misc:Pre-Depends} for mlterm-common, mlterm,
      mlterm-tiny, mlterm-im-*
  * debian/mlterm-common.symbols: Updated symbols file
  * Bumped compat level to 9
  * Added use_pkglibexecdir.diff patch to use $libexecdir/mlterm instead of
    $libexecdir
  * Added distclean.diff patch to correctly cleanup in distclean target
  * Removed *.dirs
  * Added debian/*.install

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 08 May 2012 05:50:11 +0200

mlterm (3.0.11-1) unstable; urgency=low

  * New upstream release.
  * Removed iconpathfix.diff patch as it is included upstream.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 06 Feb 2012 11:30:24 +0200

mlterm (3.0.9-2) unstable; urgency=low

  * Added iconpathfix.diff patch to fix icon path issue. (Closes: #650515)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 12 Dec 2011 18:24:16 +0200

mlterm (3.0.9-1) unstable; urgency=low

  * New upstream release.
  * Re-enable IBus input method. (Closes: #631493)
  * debian/control:
    + Update suggests for baekmuk font package
    + Updated Build-Dep for IBus to libibus-1.0-dev
  * Install docs in mlterm-common only
    + Remove mlterm-{tiny,tools}.docs, mlterm.docs
    + debian/rules: override dh_installdocs to link all packages' docs to
      mlterm-common
  * mlterm-common.docs: Add doc/en/FAQ and doc/en/ReleaseNote
  * debian/mlterm-common.shlibs: SO bump for libkik
  * Updated debian/mlterm-common.symbols

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 23 Nov 2011 19:41:38 +0200

mlterm (3.0.8-2) unstable; urgency=low

  * debian/control:
    + Update suggests for gothic font package.
      Thanks to Hideki Yamane <henrich@debian.or.jp> (Closes: #644770)
    + Update suggests for arphic font packages

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 11 Oct 2011 19:23:57 +0200

mlterm (3.0.8-1) unstable; urgency=low

  * New upstream release.
  * Dropped support_ldflags.diff patch: applied upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 27 Sep 2011 20:45:50 +0200

mlterm (3.0.7-1) unstable; urgency=low

  * New upstream release.
    + ml_bidi.c: Double free problem is fixed. (Closes: #640180)
  * debian/mlterm-common.symbols: Updated symbols file
  * Added xwindow/libtype/Makefile.in to disable_rpath.diff patch
  * Updated symbols file
  * Added support_ldflags.diff patch to add LDFLAGS support in makefiles
  * debian/rules:
    + Pass -Wl,--as-needed to LDFLAGS
    + Enable Indic rendering in common configure opts
    + Only specify libkik.so & libmkf.so for deletion from /usr/lib, this is
      to avoid deleting /usr/lib/libmlterm_core.so

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 21 Sep 2011 20:40:26 +0200

mlterm (3.0.6-1) unstable; urgency=low

  * New upstream release.
  * Added debian/mlterm-common.symbols
  * debian/control: Remove dependency on mlterm-common, as it is better
    handled by ${shlib:Depends}
  * Enable ssh2 support
    + debian/control: Add libssh2-1-dev to Build-Deps
    + debian/rules: Add --enable-ssh2 to OPTS_COMMON
  * Refreshed patches
  * Enable Cairo rendering engine
    + debian/rules: Add cairo to --with-type-engines for OPTS_MAIN
    + debian/control: Add libcairo2-dev to Build-Deps
  * debian/mlterm-common.shlibs: SO bump for libmkf
  * Updated debian/mlterm-common.symbols
  * Disable IBus input method for now, since Debian has a development release
    that causes mlterm to FTBFS.
  * Exclude /usr/lib/mkf/* from dh_makeshlibs target.
  * Added versioned dependency on mlterm | mlterm-tiny for mlterm-im-*
    packages (Closes: #633790).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 23 Aug 2011 16:47:08 +0200

mlterm (3.0.5-2) unstable; urgency=low

  [ Kenshi Muto ]
  * remove unnecessary gtk/INSTALL.orig file

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Enable IBus input method (Closes: #631493)
    + debian/control:
      - Add libibus-dev to Build-Deps
      - Added mlterm-im-ibus binary package
    + debian/rules:
      - Pass --enable-ibus option to configure
      - Install libim-ibus.so to mlterm-im-ibus package
    + Added mlterm-im-ibus.dirs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 24 Jun 2011 15:21:46 +0200

mlterm (3.0.5-1) unstable; urgency=low

  * New upstream release. (Closes: #629163)
  * debian/mlterm-tools.lintian-overrides: Remove leading slash from lintian
    override.
  * debian/rules: Do not install .a and .la files (Closes: #622546)
  * debian/control: Bumped Standards-Version to 3.9.2
  * Bumped compat level to 8
  * Refreshed disable_rpath.diff patch.
  * Removed manpage.diff patch, as it got applied upstream.
  * debian/mlterm-common.shlibs: SO bump for libkik & libmkf

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 10 Jun 2011 08:36:55 +0200

mlterm (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * Refreshed disable_rpath.diff patch.
  * Added manpage.diff patch to properly escape minus signs.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 25 Mar 2011 09:46:00 +0200

mlterm (3.0.2-2) unstable; urgency=low

  * Upload to unstable.
  * Remove leading slashes from lintian overrides

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 19 Mar 2011 20:55:37 +0200

mlterm (3.0.2-1) experimental; urgency=low

  * New upstream release.
  * debian/rules: gdk-pixbuf2 -> gdk-pixbuf
  * Refreshed patch: disable_rpath.diff
  * Removed numlock.diff and fix_ftbfs_with_binutils_gold.diff patches, as
    they got applied upstream.
  * debian/mlterm-common.shlibs: SO bump for libkik
  * Stop shipping terminfo for mlterm to make way for ncurses-term to ship it
    (Closes: #485448, #300173)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 02 Jan 2011 16:17:40 +0200

mlterm (3.0.1-3) unstable; urgency=low

  * Added patch from upstream to fix FTBFS with binutils-gold.
    (Closes: #605298)
  * debian/mlterm-common.docs: Removed ChangeLog as it is already
    installed by dh_installchangelogs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 29 Nov 2010 06:36:46 +0200

mlterm (3.0.1-2) unstable; urgency=low

  * Added numlock.diff patch, to add XK_Num_Lock to default_keysyms in
    x_window_get_mod_ignore_mask() (Closes: #597380)
  * debian/control:
    + Bumped Standards-Version to 3.9.1
    + Use Breaks/Replaces mlterm (<= 2.8.0.cvs20040403-2) for mlterm-tools
      instead of Conflicts

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 25 Sep 2010 04:25:14 +0300

mlterm (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Use dh 7 features
  * debian/mlterm-tools.lintian-overrides: Remove extra W:
  * debian/control:
    + B-D on debhelper >= 7.0.50~
    + Removed ttf-thabit from Suggests.
    + Added Vcs-* fields.
  * debian/*.dirs: Removed dirs that would be created anyways during
    installation.
  * debian/config-aafont: Use the virtual font Monospace instead of
    setting a certain font.
  * debian/rules:
    + Remove mkf/libtbl/Makefile on clean stage.
    + Do not explicitly run configure in contrib/tools/mlcc, since configure
      script has been patched to do so.
    + Do not ignore make-clean-error.
    + Remove many cleaning commands from clean target since they were already
      cleaned by upstream build system, only a couple of files needed to be
      cleaned by patching build system.
    + Add --enable-{m17nlib,uim,scim} in the final configure call, that is to
      get the respective dirs cleaned at the end.
    + Install libim-{uim,scim,m17nlib} libraries by moving them from
      $(MLTERM_COMMON)/usr/lib/mlterm/ to the respective packages.
    + Clean up.
  * Renamed patch debian-changes-3.0.0-1~ppa1 to disable_rpath.diff, and add
    description to it.
  * Added consistent_manpage.diff patch to make manpage consistent with
    default settings in Debian package (Closes: #419594)
  * Removed debian/mlterm-common.post{inst,rm} as they will be generated
    automatically by debhelper.
  * debian/mlterm-tiny.prerm: Call update-alternatives on "remove" instead of
    "deconfigure" (Closes: #355432).
  * debian/watch: use versionmangling to get correct uscan results.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 18 Jun 2010 09:54:18 +0300

mlterm (3.0.0-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org> ]
  * New upstream release. (closes: #577247)
  * Removed CVS snapshot patch since it is included upstream.
  * Switch to 3.0 (quilt) source format.
  * debian/rules:
    + Added --enable-optimize-redrawing to common configure options
    + Added VPATH=$(CURDIR)/xwindow-tiny argument when building xterm-tiny
    + Use dh_prep instead of deprecated dh_clean -k
    + Added binary-indep target.
  * debian/compat: Bumped compat level to 7
  * debian/control:
    + Added ${misc:Depends} to Depends fields.
    + Bumped to Standards-Version 3.8.4
    + Added Homepage field.
    + Removed dpatch from Build-Deps.
    + Bumped debhelper dependency to version 7.
    + Added otf-thabit to Suggests field.
  * Added debian/watch, mlterm-tools.manpages,
    {mlterm,mlterm-tiny,mlterm-tools}.lintian-overrides
  * debian/*.menu: Set the section to "Applications/Terminal Emulators"
  * debian/mlterm.desktop: Remove Encoding field.
  * tool/mlconfig/Makefile.in: remove -R/usr/local/lib
  * debian/*.prerm: Add set -e in body of scripts.
  * debian/config-aafont: Added setting for UTF8 fixed width Arabic
    characters.

  [ Kenshi Muto ]
  * Thanks a lot for your excellent work, Ahmed!
  * Exclude /usr/lib/mlterm/*.so from dh_makeshlibs target.
  * Remove tool/mlclient/mlclientx on clean stage.

 -- Kenshi Muto <kmuto@debian.org>  Wed, 14 Apr 2010 20:51:55 +0900

mlterm (2.9.4-6) unstable; urgency=low

  * CVS snapshot 20090216.
    - merge 01_engine-for-debian patch.
    - fix that uim-skk can't choose candidates (closes: #506826)
  * update Build-Depends: replace x-dev by x11proto-core-dev.
    (closes: #515491)

 -- Kenshi Muto <kmuto@debian.org>  Mon, 16 Feb 2009 16:50:32 +0900

mlterm (2.9.4-5) unstable; urgency=medium

  * Fix im-uim fail at initialization time. (closes: #506618)

 -- Kenshi Muto <kmuto@debian.org>  Sun, 23 Nov 2008 11:33:19 +0900

mlterm (2.9.4-4) unstable; urgency=low

  * New maintainer upload.
    - Set myself on Maintainer.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 19 Jun 2008 08:38:25 +0900

mlterm (2.9.4-3) unstable; urgency=medium

  * CVS snapshot 20080528.
    - Fix FTBFS (closes: #483336) by including stdio.h on im_uim.c.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 29 May 2008 09:19:25 +0900

mlterm (2.9.4-2) unstable; urgency=medium

  * Add libxml2-dev and libthai-dev to Build-depends to
    fix FTBFS (closes: #473961)
  * Add tight version dependency to mlterm|mlterm-tiny on mlterm-tools.
    (closes: #470580)
  * Bump up policy to 3.7.3.

 -- Kenshi Muto <kmuto@debian.org>  Wed, 02 Apr 2008 23:14:23 +0900

mlterm (2.9.4-1) unstable; urgency=medium

  * New upstream release
  * Fix incorrect mlterm-common.shlibs. It solves FTBFS (closes: #453802)

 -- Kenshi Muto <kmuto@debian.org>  Sun, 02 Dec 2007 15:45:46 +0900

mlterm (2.9.3-6) unstable; urgency=low

  * apply cvs changes 1.948.
  * follow uim library (libuim5) transition.
  * modified build-depends. removed libxft2-dev. replaced scim-dev with
    libscim-dev. added libgcroots-dev.

 -- Kenshi Muto <kmuto@debian.org>  Sun, 06 May 2007 16:03:57 +0900

mlterm (2.9.3-5) unstable; urgency=medium

  * Fix 64 bit FTBFS around kik_utmp_sysv.c:123. (closes: #396532)
  * Set VLGothic for default Japanese font.
  * Use freetype to get fonts instead of XLFD. (closes: #352662)

 -- Kenshi Muto <kmuto@debian.org>  Wed,  1 Nov 2006 21:49:28 +0900

mlterm (2.9.3-4) unstable; urgency=medium

  * apply cvs changes 1.939.
    - fix wtmp records problem (closes: #329194)
  * removed mlterm-im-iiimf from the distribution.
    Debian IIIMF seems not well maintained and its ABI change
    prevents building mlterm. Plus only a few users use it.
  * Disabled utmp/wtmp function. This function prevents
    launching mlconfig (GTK+ setgid problem). Patch is welcome.

 -- Kenshi Muto <kmuto@debian.org>  Tue, 31 Oct 2006 11:01:01 +0900

mlterm (2.9.3-3) unstable; urgency=low

  * follow uim library (libuim3) transition.
  * apply cvs changes 1.932.

 -- Kenshi Muto <kmuto@debian.org>  Fri, 15 Sep 2006 10:16:00 +0000

mlterm (2.9.3-2) unstable; urgency=low

  * follow uim library transition.
    Now mlterm-im-uim depends libuim1 instead of libuim0.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 10 Aug 2006 19:17:04 +0900

mlterm (2.9.3-1) unstable; urgency=low

  * New upstream release

 -- Kenshi Muto <kmuto@debian.org>  Tue,  9 May 2006 18:45:22 +0900

mlterm (2.9.2-7) unstable; urgency=low

  * Apply cvs changes at 20060325.
    This version takes bold fonts from fontconfig (closes: #350590):
  * Add desktop shortcut file. (closes: #348814)

 -- Kenshi Muto <kmuto@debian.org>  Sat, 25 Mar 2006 19:00:43 +0900

mlterm (2.9.2-6) unstable; urgency=medium

  * Apply cvs changes at 20060108.
  * Fix xlibs-dev transitional FTBFS (closes: #347135)

 -- Kenshi Muto <kmuto@debian.org>  Mon,  9 Jan 2006 12:35:31 +0000

mlterm (2.9.2-5) unstable; urgency=low

  * Apply cvs changes at 20050920.

 -- Kenshi Muto <kmuto@debian.org>  Tue, 20 Sep 2005 20:53:32 +0900

mlterm (2.9.2-4) unstable; urgency=low

  * Fix prerm, check "remove" instead of "deconfigure".
    (closes: #327535)
  * Apply scrollbar behavior patch. (closes: #310200)
  * Update German po file. (closes: #313970)

 -- Kenshi Muto <kmuto@debian.org>  Mon, 12 Sep 2005 21:33:02 +0900

mlterm (2.9.2-3) unstable; urgency=high

  * Accept NMU change. (closes: #302231)
  * Fix FTBFS around scim. (closes: #323735)

 -- Kenshi Muto <kmuto@debian.org>  Sun, 21 Aug 2005 03:59:38 +0000

mlterm (2.9.2-2.1) unstable; urgency=low

  * 0-day NMU (BSP).
  * Fixed build with gcc-4.0 by applying the patch from Andreas Jochen 
    (closes: bug#302231).

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  5 Aug 2005 22:00:05 +0200

mlterm (2.9.2-2) unstable; urgency=high

  * ARGH, I built a package with custom iiimf. mlterm-im-iiimf wasn't
    installable.
    Sorry, this upload fixes it.

 -- Kenshi Muto <kmuto@debian.org>  Mon, 14 Mar 2005 07:53:08 +0000

mlterm (2.9.2-1) unstable; urgency=high

  * New upstream release
  * [SECURITY FIX]
    xwindow/x_imagelib_gdk.c: fixed possible integer overflow.

 -- Kenshi Muto <kmuto@debian.org>  Sat,  5 Mar 2005 17:22:17 +0900

mlterm (2.9.1-0exp2) experimental; urgency=high

  * Kenshi Muto
   - Dpatchnized.
   - Update copyright file for input method plugins.
     (They are all DFSG)
   - Rebuild against new libuim0. (relates CAN-2005-0503)
     This solves critical security problem.
   - Separate m17nlib input method. mlterm-im-m17nlib is NEW package.
   - Separate scim input method. mlterm-im-scim is NEW package.

 -- Kenshi Muto <kmuto@debian.org>  Sun, 27 Feb 2005 12:25:59 +0900

mlterm (2.9.1-0exp1) experimental; urgency=medium

  * Kenshi Muto
   - I've already uploaded 2.9.1-1 to unstable, but am waiting as NEW for a
     long time. Steve (vorlon) recommends to use experimental at first when
     we create NEW package.
   - New upstream release, many bugs are fixed for stable quality.
   - Add myself as co-maintainer with primary maintainer Kubota's permission.
   - Add strong Depends: to mlterm-common. mlterm needs newest libkik.
   - Enable uim/iiimf input method modules, and split them from mlterm
     to new packages, mlterm-im-uim and mlterm-im-iiimf.
   - Enable utmp/wtmp support (closes: #228905)
   - Fix working with bitchx (closes: #181318)
   - Fix lost characters with escape sequence (closes: #273057)
   - Upstream accepted document patch (closes: #244657)
   - Fix incorrect KOI8-U/Unicode conversion (closes: #267631)
   - Support large selection pasting (closes: #248087)

 -- Kenshi Muto <kmuto@debian.org>  Fri,  4 Feb 2005 10:09:25 +0900

mlterm (2.9.1-1) unstable; urgency=low

  * New upstream release
  * Add myself as co-maintainer with primary maintainer Kubota's permission.
  * Add strong Depends: to mlterm-common. mlterm needs newest libkik.
  * Enable uim/iiimf input method modules, and split them from mlterm
    to new packages, mlterm-im-uim and mlterm-im-iiimf.
  * Enable utmp/wtmp support (closes: #228905)

 -- Kenshi Muto <kmuto@debian.org>  Tue, 28 Dec 2004 18:41:34 +0900

mlterm (2.8.0.cvs20040403-2) unstable; urgency=low

  * I forgot to update Build-Depends: line.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun, 18 Apr 2004 07:51:25 +0900

mlterm (2.8.0.cvs20040403-1) unstable; urgency=low

  * New upstream revision.
    - Migration from gtk1.2 to gtk2.
  * Separation of binary packages into mlterm, mlterm-tiny, mlterm-common,
    and mlterm-tools.  You can choose mlterm or mlterm-tiny.  mlterm-common
    is a base package which is required.  mlterm-tools is optional.
    I decided to separate binary packages because mlterm migrated into
    gtk2 which is relatively large.  If you install mlterm-tiny instead
    of mlterm, you do not need gtk2 libraries.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat,  3 Apr 2004 20:03:01 +0900

mlterm (2.8.0.cvs20040227-1) unstable; urgency=low

  * New upstream revision.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat, 28 Feb 2004 01:27:34 +0900

mlterm (2.8.0.cvs20040213-1) unstable; urgency=low

  * New upstream revision.
  * mlterm-zoom is newly compiled and used in /etc/mlterm/main.

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri, 13 Feb 2004 03:28:03 +0900

mlterm (2.8.0.cvs20040131-1) unstable; urgency=low

  * New upstream revision.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun,  1 Feb 2004 23:48:39 +0900

mlterm (2.8.0.cvs20040129-1) unstable; urgency=low

  * New upstream revision.
  * Replaced Suggests: dependence on scalable-cyrfonts with t1-cyrillic.
  * Wrote some notes of kernel support of pts and pty file system
    in README.Debian (Closes: #223099).

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri, 30 Jan 2004 09:08:37 +0900

mlterm (2.8.0.cvs20040117-1) unstable; urgency=low

  * New upstream revision.
    + #define _XOPEN_SOURCE 500 (Closes: #226654).
  * Changed description.  (Thanks to Nadim Shaikli).

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat, 17 Jan 2004 18:04:22 +0900

mlterm (2.8.0.cvs20031005-1) unstable; urgency=low

  * New upstream version (release version of 2.8.0).
  * A name of additional scrollbar was wrong in the previous version.
    (tool/mlconfig/mc_sb_view.c)

 -- Tomohiro KUBOTA <kubota@debian.org>  Tue,  7 Oct 2003 08:47:51 +0900

mlterm (2.8.0.cvs20031001-1) unstable; urgency=low

  * New upstream version.

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri,  3 Oct 2003 23:26:57 +0900

mlterm (2.7.0.cvs20030815-1) unstable; urgency=low

  * New upstream version. 
  * Scrollbar images from 
    http://www.sh.rim.or.jp/~ssato/diary/2003-08.html#2003-08-01-1

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri, 15 Aug 2003 22:38:00 +0900

mlterm (2.7.0.cvs20030703-1) unstable; urgency=low

  * New upstream version.

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri,  4 Jul 2003 21:21:53 +0900

mlterm (2.7.0-1) unstable; urgency=low

  * New upstream version.
    + Closes: #178253.  (See changelog, MINAMI Hirokazu, 2003-06-03.)
    + Closes: #196228.  (See changelog, Araki Ken, 2003-06-08.)
    + Closes: #180548.  (Now mlterm doesn't segfault on lacking ASCII fonts.)

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat, 14 Jun 2003 21:13:06 +0900

mlterm (2.6.3.cvs20030604-1) unstable; urgency=low

  * New upstream version.
    + The default behavior of "--sb" option is "true", which
      is now documented in manpage (Closes: #195258).
    + "--title" and "--icon" options now work under "--sb=false"
      environment (Closes: #195259).

 -- Tomohiro KUBOTA <kubota@debian.org>  Wed,  4 Jun 2003 00:40:55 +0900

mlterm (2.6.3.cvs20030525-1) unstable; urgency=low

  * New upstream version.
    + Newly supported encodings: KOI8-T, CP1251, CP1255, and GEORGEAN-PS
      which causes update of Description:.
  * Update standards-version (3.5.10).

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat, 24 May 2003 17:52:21 +0900

mlterm (2.6.3.cvs20030406-1) unstable; urgency=low

  * New upstream version.
    + [Save&Exit] button of mlconfig could not save configuration when
      ~/.mlterm/main file doesn't exist; fixed (Closes: #186983).
  * Added newly-supported GEORGIAN-PS, KOI8-T, CP1251, and CP1255
    encodings to debian/config-menu so that CTRL + LEFT MOUSE BUTTON
    menu has these encoding entries.
  * Added Suggests:xfonts-efont-unicode.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun,  6 Apr 2003 20:56:53 +0900

mlterm (2.6.3.cvs20030401-1) unstable; urgency=low

  * New upstream version.

 -- Tomohiro KUBOTA <kubota@debian.org>  Tue,  1 Apr 2003 22:50:04 +0900

mlterm (2.6.3.cvs20030320-1) unstable; urgency=low

  * New upstream version.
  * Updated standards-version (3.5.9).

 -- Tomohiro KUBOTA <kubota@debian.org>  Thu, 20 Mar 2003 20:40:36 +0900

mlterm (2.6.3.cvs20030316-1) unstable; urgency=low

  * New upstream version (Closes: #184938).
    + New configuratable menu "mlterm-menu" is introduced.
    + Escape sequence "5380" is disabled for security purpose.
      This is a temporal solution and may be changed in future.
  * New configuration file /etc/mlterm/menu for mlterm-menu.
  * Update configuration file /etc/mlterm/font to use efont
    (xfonts-efont-unicode package) as default iso10646 fonts.

 -- Tomohiro KUBOTA <kubota@debian.org>  Mon, 17 Mar 2003 11:29:29 +0900

mlterm (2.6.3.cvs20030306-1) unstable; urgency=low

  * New upstream version.
  * Updated /etc/mlterm/key configuration file.

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri,  7 Mar 2003 01:05:16 +0900

mlterm (2.6.3.cvs20030220-1) unstable; urgency=low

  * New upstream version.
  * Migration to Xft2 from Xft1.  Description in README.Debian is changed
    because font configuration method is changed.
  * Use new libtool, expecting that #181329 can be closed.

 -- Tomohiro KUBOTA <kubota@debian.org>  Thu, 20 Feb 2003 01:13:42 +0900

mlterm (2.6.3.cvs20030216-1) unstable; urgency=low

  * New upstream version.
  * Updated standards-version (3.5.6).
  * GUI configurator now saves results (Closes: #175795).

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun, 16 Feb 2003 09:31:54 +0900

mlterm (2.6.2.cvs20021126-1) unstable; urgency=low

  * New upstream version.
    + Underline-position patch for anti-alias mode was integrated.
      See bug#167729.
  * Fixed icon for Debian menu system (very slight change of color)
    to fit Debian menu policy.
  * Modified two Makefile's to erase lintian warning
    'binary-or-shlib-defines-rpath'.
  * Erased debian/conffiles to erase lintian error
    'duplicate-conffile'.
  * Use debian/shlibs.local to erase lintian error
    'pagkage-has-a-duplicate-relation'.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun,  1 Dec 2002 14:40:56 +0900

mlterm (2.6.2.cvs20021121-1) unstable; urgency=low

  * New upstream version.
    + Wired cursor position fixed (Closes: #170262).
  * Renewed "aafont" configuration file to use ttf-freefont instead
    of ttf-thryomanes for iso-8859-{2,3,4,5,7,9,10,13,14,15} and UTF-8.
    This enables the usage of monospaced fonts instead of proportional
    fonts for these encodings in anti-aliased environment with
    relatively many characters (Latin, Greek, and so on) in UTF-8.
    Please read /usr/share/doc/mlterm/README.Debian for settings.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun, 24 Nov 2002 13:15:00 +0900

mlterm (2.6.2.cvs20021116-1) unstable; urgency=low

  * New upstream version.
    + config.guess update (Closes: #168652).
    + GBK handling (Closes: #168013).
    + transparent for tiled root image of wmaker (Closes: #168256).
  * Tentative patch by MINAMI Hirokazu
    http://sourceforge.net/mailarchive/message.php?msg_id=2395758
    (Closes: #167729).

 -- Tomohiro KUBOTA <kubota@debian.org>  Tue, 12 Nov 2002 09:12:46 +0900

mlterm (2.6.2.cvs20021101-1) unstable; urgency=low

  * New upstream version.
  * Versioned dependency on libfribidi0 (>= 0.10.4) (Closes: #166172).

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat,  2 Nov 2002 18:06:54 +0900

mlterm (2.6.1.cvs20020927-1) unstable; urgency=low

  * New upstream version.
  * Closes: #162592.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat, 28 Sep 2002 08:39:20 +0900

mlterm (2.6.0.cvs20020909-2) unstable; urgency=low

  * Use new icon mlterm-icon-24colors-1 for Debian menu system,
    with reformatting from png to xpm.
  * Wrote copyrights for contrib/ parts.

 -- Tomohiro KUBOTA <kubota@debian.org>  Mon,  9 Sep 2002 20:50:46 +0900

mlterm (2.6.0.cvs20020909-1) unstable; urgency=low

  * New upstream version.
  * Removed unneeded *.a and *.la .
  * Migration from imlib to gdk-pixbuf.
  * Changed icon path from /usr/X11R6/include/X11/pixmaps to
    /usr/share/pixmaps because .png icons are added.
  * Set icon_path in default configuration file /etc/mlterm/main.
  * Use new terminfo "mlterm", and Depends: ncurses-term is removed.
    (changed /etc/mlterm/main).

 -- Tomohiro KUBOTA <kubota@debian.org>  Mon,  9 Sep 2002 08:21:05 +0900

mlterm (2.5.0.cvs20020803-1) unstable; urgency=low

  * New upstream version.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat,  3 Aug 2002 14:53:43 +0900

mlterm (2.4.0.cvs20020608-1) unstable; urgency=low

  * New upstream version.
  * /etc/mlterm/termcap is modified.
  * /etc/mlterm/color is modified.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat,  8 Jun 2002 00:46:11 +0900

mlterm (2.4.0.cvs20020428-2) unstable; urgency=low

  * Added Depends: ncurses-term (Closes: #145771). 

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun,  5 May 2002 21:19:54 +0900

mlterm (2.4.0.cvs20020428-1) unstable; urgency=medium

  * New upstream version.
  * Default TERM from "xterm-color" to "kterm" (Closes: #143248).
    NOTE: "TERM=kterm" does NOT mean that this terminal emulator
    is only for Japanese!  This migration of TERM variable is
    impremented by changing /etc/mlterm/main configuration file.
  * Added "compose_dec_special_font=true" in /etc/mlterm/main .
  * Added ISO-8859-11 and TIS-620, which were already available,
    to Description: field.  urgency=medium for this.
  * Added instruction to configure truetype fonts for Xft library.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun, 28 Apr 2002 12:45:11 +0900

mlterm (2.4.0.cvs20020414-1) unstable; urgency=low

  * New upstream version. (official 2.4.0)

 -- Tomohiro KUBOTA <kubota@debian.org>  Wed, 17 Apr 2002 00:04:15 +0900

mlterm (2.4.0.cvs20020407-2) unstable; urgency=low

  * Use "xterm-color" terminal type instead of "xterm" for better
    behavior, especially for "dialog" and "whiptail" commands.

 -- Tomohiro KUBOTA <kubota@debian.org>  Tue,  9 Apr 2002 21:05:32 +0900

mlterm (2.4.0.cvs20020407-1) unstable; urgency=low

  * New upstream version.

 -- Tomohiro KUBOTA <kubota@debian.org>  Tue,  9 Apr 2002 21:03:22 +0900

mlterm (2.3.1.cvs20020322-1) unstable; urgency=low

  * New upstream version. (Closes: #138842)

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri, 22 Mar 2002 10:37:40 +0900

mlterm (2.3.1.cvs20020314-1) unstable; urgency=low

  * New upstream version.

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri, 15 Mar 2002 01:25:54 +0900

mlterm (2.3.1.cvs20020303-2) unstable; urgency=low

  * Updated aafont config file to use scalable-cyrfonts for KOI8-R
    and KOI8-U encodings (Thanks to David Starner).

 -- Tomohiro KUBOTA <kubota@debian.org>  Tue,  5 Mar 2002 23:43:46 +0900

mlterm (2.3.1.cvs20020303-1) unstable; urgency=low

  * New upstream version.
  * Update aafont config file to support Korean, Chinese, ISO-8859-{2,3,
    4,5,7,9,10,13,14,15}, by using ttf-baekmuk, ttf-arphic-bsmi00lp,
    ttf-arphic-gbsn00lp, ttf-thryomanes packages.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun,  3 Mar 2002 01:27:03 +0900

mlterm (2.2.0.cvs20020212-1) unstable; urgency=medium

  * New upstream version.
  * Rebuilt with libfribidi0-0.10.x, which does not need libglib1.3
    which has caused dependency problem on Woody.

 -- Tomohiro KUBOTA <kubota@debian.org>  Wed, 13 Feb 2002 01:20:31 +0900

mlterm (2.1.2.cvs20020111-1) unstable; urgency=low

  * New upstream version.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sat, 12 Jan 2002 00:54:55 +0900

mlterm (2.1.2.cvs20020102-1) unstable; urgency=low

  * New upstream version.

 -- Tomohiro KUBOTA <kubota@debian.org>  Thu,  3 Jan 2002 01:17:51 +0900

mlterm (2.0.0.cvs20011228-1) unstable; urgency=low

  * New upstream version.
  * Fixed lacking libfribidi-dev in Build-Depends.

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri, 28 Dec 2001 02:06:21 +0900

mlterm (2.0.0.cvs20011223-1) unstable; urgency=low

  * New upstream version.
  * Icons are integrated into the upstream.
  * main configuration file (/etc/mlterm/main) is updated
    to receive copy-and-pate string via Unicode when the
    encoding of mlterm is a subset of Unicode.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun, 23 Dec 2001 09:58:58 +0900

mlterm (2.0.0.cvs20011202-2) unstable; urgency=low

  * Added icons for Debian Menu System.

 -- Tomohiro KUBOTA <kubota@debian.org>  Thu,  6 Dec 2001 08:18:29 +0900

mlterm (2.0.0.cvs20011202-1) unstable; urgency=low

  * New upstream version.
    - Avoid core-dumping for zero font metrics.
    - Problems on XIM and Backspace/Delete.
    - Don't check XSetWindowBackground{Pixmap} (for EWS4800).
    - Update manpage.
    - select() timeout problem.
    - Changed documents directory.
    - --enable-ucs4 problem.
    - Bel is supported.
    - VWERSE typo is fixed.
    - Invoking XIM under LC_CTYPE=C caused segfault.
    - $WINDOWID points top-level window.
    - New colors of "pink" and "brown" are added.

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Sun,  2 Dec 2001 17:22:55 +0900

mlterm (1.9.47-1) unstable; urgency=low

  * New upstream version.
    - Transparancy bug fix.
    - Support of combining character in input time.
    - More than three combining characters against one base character.
    - New version of libtool.
    - Usage of ksc5601 (ksx1001) fonts for Johab.
    - XIM search sequence: OverTheSpot -> Root.

 -- Tomohiro KUBOTA <kubota@debian.org>  Tue, 27 Nov 2001 02:15:55 +0900

mlterm (1.9.45-1) unstable; urgency=low

  * New upstream version.
    - Core dump problem when failed to create fontset.
    - Wrong XSetIMValues() calling.
    - Better support for anti-alias.
    - Changed mlterm/aafont specification.
    - Could not resize window without scrollbar and with XIM.
    - Interpretation of HPA/VPA bug.
    - New config.sub and config.guess (Closes: #120146).
    - Cursor moving problem in XIM.
    - INSERT_SELECTION shortcut.
    - tty settings bug when invoked from window managers.
    - Mapping change: TIS 620 0x20 (NBSP) -> U+00A0.
  * Patches from the upstream.
    - Configuration files were ignored.
    - Support Root preedit type of XIM.
    - XIM could not invoked after invocation of mlconfig.
  * Default setting: support combining character.
  * Default setting: META key to set 8bit on.
  * Fixed uncertain compilation-time check of Unix98 pty.

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri, 23 Nov 2001 14:40:17 +0900

mlterm (1.9.44pl2-1) unstable; urgency=low

  * New upstream version.
    - Configuration files are changed.
    - The anti-alias-supporting version also supports ordinary X fonts.
    - Can switch XIM server on run-time.
    - Window resize problem.
    - Usage of libtool.
    - Compilable on HP-UX, Solaris, and EWS4800.
    - XIM problem on Solaris.
    - Wrong usage of size_t.
    - Priority problem in system-wide and personal configuration files
    - Added mod_meta_mode option
    - Copy&Paste problem in ISO-2022-{KR,CN,JP} modes.
  * Compiled with anti-alias enabled.
  * Instructions on using UTF-8 in README.Debian.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun, 18 Nov 2001 16:15:37 +0900

mlterm (1.9.42-2) unstable; urgency=low

  * Added Build-Depends: libtool (Closes: #119438).
  * User configuration could not override universal configuration.

 -- Tomohiro KUBOTA <kubota@debian.org>  Wed, 14 Nov 2001 01:04:52 +0900

mlterm (1.9.42-1) unstable; urgency=low

  * Initial Release.

 -- Tomohiro KUBOTA <kubota@debian.org>  Sun, 11 Nov 2001 09:42:51 +0900

Local variables:
mode: debian-changelog
End:
